=== debian/changelog ===
wordwarvi (1.00+dfsg1-4) unstable; urgency=medium

  * Put package under Games Team umbrella (Closes: #869297)
  * Add Vcs-{Git|Browser} URLs pointing to salsa
  * Priority extra has been replaced by optional
  * Bump debhelper compat level to 11
  * Update Standards-Version to 4.3.0
  * Fix copyright file issues
  * Update Homepage URL protocol
  * Remove menu (tech-ctte decision on #741573)
  * Remove unneeded comments and spaces
  * Add ArcadeGame category to .desktop file (Closes: #865835)
  * Add patch for improved game usage instructions.
    Thanks to Andrej Mernik for the patch (Closes: #877993)
  * Add patch to make build reproducible.
    Thanks to Chris Lamb for the patch (Closes: 786593)
  * Make existing patches DEP3 compliant

 -- Ricardo Mones <mones@debian.org>  Mon, 04 Feb 2019 01:38:06 +0100

wordwarvi (1.00+dfsg1-3) unstable; urgency=low

  * add xdg desktop menu file
  * add xpm icon for desktop & menu

 -- Joe Nahmias <jello@debian.org>  Sun, 12 Aug 2012 01:48:16 -0400

wordwarvi (1.00+dfsg1-2) unstable; urgency=low

  * debian/watch: Fix debian version mangling as recommended by lintian.

 -- Joe Nahmias <jello@debian.org>  Sat, 30 Jun 2012 12:37:28 -0400

wordwarvi (1.00+dfsg1-1) unstable; urgency=low

  * Repackaged to remove music files that were licensed under
    CC-BY-SA-2.0.  See README.source for details.

 -- Joe Nahmias <jello@debian.org>  Sat, 30 Jun 2012 12:16:45 -0400

wordwarvi (1.00-1) unstable; urgency=low

  * Initial release, closes: Bug#677821

 -- Joe Nahmias <jello@debian.org>  Sat, 16 Jun 2012 19:30:41 -0400
