=== debian/control ===
Source: wordwarvi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 11), libvorbis-dev, portaudio19-dev,
 libgtk2.0-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/games-team/wordwarvi.git
Vcs-Browser: https://salsa.debian.org/games-team/wordwarvi
Homepage: https://smcameron.github.com/wordwarvi/

Package: wordwarvi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 wordwarvi-sound (= ${source:Version})
Description: retro-styled side-scrolling shoot'em up arcade game
 Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
 game. You pilot your "vi"per craft through core memory, rescuing lost .swp
 files, avoiding OS defenses, and wiping out those memory hogging emacs
 processes.
 .
 Includes support for joysticks with force-feedback.

Package: wordwarvi-sound
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: retro-styled side-scrolling shoot'em up arcade game [Sound Files]
 Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
 game. You pilot your "vi"per craft through core memory, rescuing lost .swp
 files, avoiding OS defenses, and wiping out those memory hogging emacs
 processes.
 .
 This package includes the sound files for wordwarvi.
