=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg\d+$//  \
  http://sf.net/wordwarvi/wordwarvi-(.*)\.tar\.gz
