## wordwarvi 1.0.3

=== debian/changelog ===
wordwarvi (1.0.3-1) unstable; urgency=medium

  * [8f64816] d/watch: track tags on github
  * [83ac4c1] New upstream version 1.0.3
  * [9b2ce5c] update copyright info with relicense of some music;
              no need to repack the upstream source now!
  * [5c5b14e] drop patches merged upstream, refresh the rest
  * [ec15dfc] fix building with SOURCE_DATE_EPOCH
  * [524e764] pass LDFLAGS when linking
  * [c46755f] use all hardening flags
  * [e782ca0] add myself to uploaders
  * [11e7de1] bump std-ver to 4.5.1, no changes
  * [4b8aeff] enable salsa-ci pipeline

 -- Joseph Nahmias <jello@debian.org>  Tue, 02 Feb 2021 00:23:27 -0500

wordwarvi (1.00+dfsg1-5) unstable; urgency=medium

  * Add patch to fix FTBFS on hurd-i386
  * Bump compatibility level to 13
  * Update Standards-Version to 4.5.0, no other changes
  * Add Rules-Requires-Root field
  * Set Multi-Arch: foreign on sound package
  * Add some keywords and translations to desktop file

 -- Ricardo Mones <mones@debian.org>  Fri, 11 Sep 2020 17:21:21 +0200
