=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 11), libvorbis-dev, portaudio19-dev,
+           Joseph Nahmias <jello@debian.org>
+Build-Depends: debhelper-compat (= 13), libvorbis-dev, portaudio19-dev,
  libgtk2.0-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/wordwarvi.git
 Vcs-Browser: https://salsa.debian.org/games-team/wordwarvi
 Homepage: https://smcameron.github.com/wordwarvi/
@@ -24,6 +26,7 @@
 
 Package: wordwarvi-sound
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: retro-styled side-scrolling shoot'em up arcade game [Sound Files]
  Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
