=== debian/changelog ===
wordwarvi (1.0.4-1) unstable; urgency=medium

  * [9f831b9] add missing comma between uploaders (Closes: #982047)
  * [23b0a4b] New upstream version 1.0.4
  * [4dcb3e3] drop upstreamed patches

 -- Joseph Nahmias <jello@debian.org>  Mon, 08 Feb 2021 20:33:13 -0500
