=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ricardo Mones <mones@debian.org>
+Uploaders: Ricardo Mones <mones@debian.org>,
            Joseph Nahmias <jello@debian.org>
 Build-Depends: debhelper-compat (= 13), libvorbis-dev, portaudio19-dev,
  libgtk2.0-dev
