=== debian/watch ===
# debian/watch
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wordwarvi-$1.tar.gz%" \
    https://github.com/smcameron/wordwarvi/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
